QGIS Application - Bug report #17575

Reshaping Curved geometries computes strange Z values

2017-11-28 07:05 PM - Regis Haubourg

Status: Closed
Priority: Normal
Assignee: Paul Blottiere
Category: Digitising

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 25472

Description

Following #17574, reshaping a MulticurveZ with Z values set to 0, using reshape tool, will add a linestring with z = (default value -

previous value) / 2

In my case, | have vertices with Z = 0 and default Z value to 9000. Reshaping a part with 3 vertices gives me:

4500
4500
4500

History

#1 - 2017-11-30 09:20 AM - Jiirgen Fischer
- Description updated

#2 - 2017-11-30 09:20 AM - Jiirgen Fischer
- Description updated

#3 - 2018-02-25 10:45 AM - Regis Haubourg
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Fixed in QGIS 3.0
